html, body {
  width: 100%;
  height: 100%;
  padding: 0;
  margin: 0;
}

h1 {
  font-family: 'Creepster', cursive;
  font-size: 50px;
  padding: 4px;
}

.agnesTitle1 {
  position: absolute;
  text-align: center;
  top: 10%;
  width: 100%;
  font-size: 90px;
}

.agnes2Title2 {
  background: rgb(255, 192, 203, 0.985);
}

.agnesText1 {
  background: rgb(255, 192, 203, 0.85);
  margin: 5px;
}

h2 {
  font-family: 'Creepster', cursive;
  position: absolute;
  text-align: center;
  top: 35%;
  width: 100%;
  font-size: 40px;
}

p {
  font-family: 'Pangolin', cursive;
  font-size: 35px;

}

.agnesImage {
  position: absolute;
  top: 50%;
  right: 68%;
}

.effect img.image{
  position: absolute;
  top: 50%;
  right: 68%;
  }

.agnesBubble{
  position: absolute;
  top: 47%;
  right: 50%;
}

.wordSplatter {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 55%;
  height: 80%;
}

.agnesPage2Cupcake {
  height: 450px;
  display: block;
  margin-left: auto;
  margin-right: auto;
}

  .effect:hover img.image{
  display:none;
  }
  .effect img.hover{
  display:none;
  }
  .effect:hover img.hover{
  display:block;
  }

.nav {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 10;
  background: pink;
}

.nav li {
  list-style: none;
  display: inline-block;
}

.nav .link {
  text-transform: uppercase;
  text-decoration: none;
  font-size: 15px;
  font-family: 'Creepster', cursive;
  color: black;
  margin: 0 10px;
}

.blocks {
  width: 100%;
  min-height: 100%;
  overflow: hidden;
}


.blocks:nth-child(2) {
  width: 100%;
  height: 100%;
  /*change backgroound*/
  background:  
  url(Images/backgroundForAgnes1.png) center no-repeat;
  background-size: 100% 100%;
  position: relative;
  overflow: hidden;
  transition: 0.5s;
}
.blocks:nth-child(3) {
  background: url(Images/AGnesCityScape.png) center no-repeat;
}
.blocks:nth-child(4) {
  background: url(Images/CupcakeBackground.png) center no-repeat;
}
.blocks:nth-child(5) {
  background: url(Images/AgnesCollage.png) center no-repeat;
  
}

/*Responsive*/

@media(max-width: 1600px) {
html {
    font-size: 55%;
}
}

@media(max-width: 1200px) {
.agnesTitle1 {
  font-size: 70px;
  padding-top: 25px;
}

h2 {

  font-size: 35px;
  top: 32%;
}

.agnesBubble{
  position: absolute;
  top: 47%;
  right: 45%;
}

.wordSplatter {
  padding-top: 15px;
  width: 55%;
  height: 70%; 
}
}

@media(max-width: 900px) {
.agnesTitle1 {
  font-size: 55px;
}

h2 {
  font-size: 20px;
}

.agnesBubble{
  position: absolute;
  top: 47%;
  right: 36%;
}

.wordSplatter {
  padding-top: 15px;
  width: 55%;
  height: 60%; 
  
}
}

@media(max-width: 650px) {
.agnesTitle1 {
  font-size: 55px;
}

h2 {
  font-size: 20px;
  
}

p {
  font-size: 30px;
}

.effect img.image{
  position: absolute;
  left: 20px;
  }

.agnesBubble{
  position: absolute;
  top: 47%;
  left: 35%;
}

.wordSplatter {
  width: 75%;
  height: 60%; 
}

.nav .link {
  font-size: 10px;
}
}

@media(max-width: 450px) {
.agnesTitle1 {
  font-size: 40px;
}

h2 {
  font-size: 15px;
  
}

.wordSplatter {
  width: 90%;
  height: 55%; 
}

.agnesBubble{
  position: absolute;
  top: 47%;
  right: 40%;
  display: none;
}
}